Subject: Re: [X2Go-Dev] Bug#674: Bug#674: keycode -> keycode translation harmful (makes configuration complex)

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 14 Nov 2014 13:36:52 +0100

Am 14.11.2014 um 05:49 schrieb Mike Gabriel:

> I guess this is the best analysis on what happens in NX around
> keyboard stuff, I have ever read. Thanks for that very good tutorial.

That's what I was thinking when I read it, too ;-) But I'll have to read it again to fully get into it.

> Now about fixing the bug.
>
> I really think we should get evdev support into NX. What do you think?
>
> But for now... so that I get a deeper feeling for this... Could you
> provide a recipe for setting the correct / transparent keyboard setup
> in the X2Go Session?
>
> A sequence of commands on the client-side, a sequence of commands on
> the server-side, something like that...

Man setxkbmap states this:

-------

If you have an Xserver and a client shell running on different computers and XKB
configuration files on those machines are different you can get problems specifying a keyboard map
by model, layout, options
names. This is because setxkbcomp converts these names to names of XKB configuration
files according to files that are on the client side computer, then it sends the file names to the
server where the xkbcomp
has to compose a complete keyboard map using files which the server has. Thus if the sets
of files differ significantly the names that the setxkbmap generates can be unacceptable on the
server side. You can
solve this problem by running the xkbcomp on the client side too. With the -print option
setxkbmap just prints the file names in an appropriate format to its stdout and this output can be
piped directly to the
xkbcomp input. For example, the command

setxkbmap us -print | xkbcomp - $DISPLAY

makes both steps run on the same (client) machine and loads a keyboard map into the server.

-------

Wouldn't this bypass all this setxkbmap names and files altogether?

Uli
_______________________________________________
x2go-dev mailing list
[email-masked]
http://lists.x2go.org/listinfo/x2go-dev